QwtDialNeedle(3)

NAME
QwtDialNeedle - Base class for needles that can be used in a QwtDial.

SYNOPSIS

#include <qwt_dial_needle.h>

Inherited by QwtCompassMagnetNeedle, QwtCompassWindArrow, and QwtDialSimpleNeedle.

  Public Member Functions
QwtDialNeedle ()
Constructor.
virtual ~QwtDialNeedle ()
Destructor.
virtual void setPalette (const QPalette &)
const QPalette & palette () const
virtual void draw (QPainter *painter, const QPointF &center, double length, double direction, QPalette::ColorGroup=QPalette::Active) const

  Protected Member Functions
virtual void drawNeedle (QPainter *painter, double length, QPalette::ColorGroup colorGroup) const =0
Draw the needle.
virtual void drawKnob (QPainter *, double width, const QBrush &, bool sunken) const
Draw the knob.

Detailed Description

Base class for needles that can be used in a QwtDial. QwtDialNeedle is a pointer that indicates a value by pointing to a specific direction.

See also
    QwtDial, QwtCompass

Member Function Documentation

  void QwtDialNeedle::draw (QPainter * painter, const QPointF & center, double length, double direction, QPalette::ColorGroup colorGroup = QPalette::Active) const [virtual]
Draw the needle

Parameters
    painter Painter
    center Center of the dial, start position for the needle
    length Length of the needle
    direction Direction of the needle, in degrees counter clockwise
    colorGroup Color group, used for painting

  virtual void QwtDialNeedle::drawNeedle (QPainter * painter, double length, QPalette::ColorGroup colorGroup) const [protected], [pure virtual]

Draw the needle. The origin of the needle is at position (0.0, 0.0 ) pointing in direction 0.0 ( = east ).

The painter is already initialized with translation and rotation.

Parameters
    painter Painter
    length Length of the needle
    colorGroup Color group, used for painting

See also
    setPalette(), palette()

Implemented in QwtCompassWindArrow, QwtCompassMagnetNeedle, and QwtDialSimpleNeedle.

  const QPalette & QwtDialNeedle::palette () const

Returns
    the palette of the needle.

  void QwtDialNeedle::setPalette (const QPalette & palette) [virtual]
Sets the palette for the needle.

Parameters
    palette New Palette

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.